Форум программистов, компьютерный форум, киберфорум
Наши страницы
Ubuntu, Mint Linux
Войти
Регистрация
Восстановить пароль
 
Рейтинг 4.71/7: Рейтинг темы: голосов - 7, средняя оценка - 4.71
lignium
4 / 4 / 3
Регистрация: 17.11.2015
Сообщений: 46
1

Linux Mint - Ошибки при установке нового ядра

08.03.2017, 22:57. Просмотров 1306. Ответов 5
Метки нет (Все метки)

Здравствуйте! При попытке установить ядро версии 4.8.0-41 в логе установке заметил ошибки. Стоит ли запускать такое ядро?
С ядрами версии 4.4.0-* никаких проблем нет.

Linux Mint 18.1 Cinnamon
Текущее ядро Linux 4.4.0-66

Лог установки:
Код
Выбор ранее не выбранного пакета linux-headers-4.8.0-41.
(Чтение базы данных … на данный момент установлено 346568 файлов и каталогов.)
Подготовка к распаковке …/linux-headers-4.8.0-41_4.8.0-41.44~16.04.1_all.deb …
Распаковывается linux-headers-4.8.0-41 (4.8.0-41.44~16.04.1) …
Выбор ранее не выбранного пакета linux-headers-4.8.0-41-generic.
Подготовка к распаковке …/linux-headers-4.8.0-41-generic_4.8.0-41.44~16.04.1_amd64.deb …
Распаковывается linux-headers-4.8.0-41-generic (4.8.0-41.44~16.04.1) …
Выбор ранее не выбранного пакета linux-image-4.8.0-41-generic.
Подготовка к распаковке …/linux-image-4.8.0-41-generic_4.8.0-41.44~16.04.1_amd64.deb …
Done.
Распаковывается linux-image-4.8.0-41-generic (4.8.0-41.44~16.04.1) …
Выбор ранее не выбранного пакета linux-image-extra-4.8.0-41-generic.
Подготовка к распаковке …/linux-image-extra-4.8.0-41-generic_4.8.0-41.44~16.04.1_amd64.deb …
Распаковывается linux-image-extra-4.8.0-41-generic (4.8.0-41.44~16.04.1) …
Настраивается пакет linux-headers-4.8.0-41 (4.8.0-41.44~16.04.1) …
Настраивается пакет linux-headers-4.8.0-41-generic (4.8.0-41.44~16.04.1) …
Examining /etc/kernel/header_postinst.d.
run-parts: executing /etc/kernel/header_postinst.d/dkms 4.8.0-41-generic /boot/vmlinuz-4.8.0-41-generic
Error! Bad return status for module build on kernel: 4.8.0-41-generic (x86_64)
Consult /var/lib/dkms/ndiswrapper/1.59/build/make.log for more information.
Error! Module version 5.0.32_Ubuntu for vboxguest.ko
is not newer than what is already found in kernel 4.8.0-41-generic (5.1.6_Ubuntu).
You may override by specifying --force.
Error! Module version 5.0.32_Ubuntu for vboxsf.ko
is not newer than what is already found in kernel 4.8.0-41-generic (5.1.6_Ubuntu).
You may override by specifying --force.
Error! Module version 5.0.32_Ubuntu for vboxvideo.ko
is not newer than what is already found in kernel 4.8.0-41-generic (5.1.6_Ubuntu).
You may override by specifying --force.
Настраивается пакет linux-image-4.8.0-41-generic (4.8.0-41.44~16.04.1) …
Running depmod.
update-initramfs: deferring update (hook will be called later)
Examining /etc/kernel/postinst.d.
run-parts: executing /etc/kernel/postinst.d/apt-auto-removal 4.8.0-41-generic /boot/vmlinuz-4.8.0-41-generic
run-parts: executing /etc/kernel/postinst.d/dkms 4.8.0-41-generic /boot/vmlinuz-4.8.0-41-generic
Error! Bad return status for module build on kernel: 4.8.0-41-generic (x86_64)
Consult /var/lib/dkms/ndiswrapper/1.59/build/make.log for more information.
run-parts: executing /etc/kernel/postinst.d/initramfs-tools 4.8.0-41-generic /boot/vmlinuz-4.8.0-41-generic
update-initramfs: Generating /boot/initrd.img-4.8.0-41-generic
Warning: No support for locale: ru_RU.utf8
run-parts: executing /etc/kernel/postinst.d/pm-utils 4.8.0-41-generic /boot/vmlinuz-4.8.0-41-generic
run-parts: executing /etc/kernel/postinst.d/zz-update-grub 4.8.0-41-generic /boot/vmlinuz-4.8.0-41-generic
Создание конфигурационного файла grub...
Найден образ linux: /boot/vmlinuz-4.8.0-41-generic
Найден образ initrd: /boot/initrd.img-4.8.0-41-generic
Найден образ linux: /boot/vmlinuz-4.4.0-66-generic
Найден образ initrd: /boot/initrd.img-4.4.0-66-generic
Найден образ linux: /boot/vmlinuz-4.4.0-65-generic
Найден образ initrd: /boot/initrd.img-4.4.0-65-generic
Найден образ linux: /boot/vmlinuz-4.4.0-64-generic
Найден образ initrd: /boot/initrd.img-4.4.0-64-generic
Найден образ linux: /boot/vmlinuz-4.4.0-53-generic
Найден образ initrd: /boot/initrd.img-4.4.0-53-generic
Found memtest86+ image: /boot/memtest86+.elf
Found memtest86+ image: /boot/memtest86+.bin
Найден Windows 8 (loader) на /dev/sda1
завершено
Настраивается пакет linux-image-extra-4.8.0-41-generic (4.8.0-41.44~16.04.1) …
run-parts: executing /etc/kernel/postinst.d/apt-auto-removal 4.8.0-41-generic /boot/vmlinuz-4.8.0-41-generic
run-parts: executing /etc/kernel/postinst.d/dkms 4.8.0-41-generic /boot/vmlinuz-4.8.0-41-generic
Error! Bad return status for module build on kernel: 4.8.0-41-generic (x86_64)
Consult /var/lib/dkms/ndiswrapper/1.59/build/make.log for more information.
run-parts: executing /etc/kernel/postinst.d/initramfs-tools 4.8.0-41-generic /boot/vmlinuz-4.8.0-41-generic
update-initramfs: Generating /boot/initrd.img-4.8.0-41-generic
Warning: No support for locale: ru_RU.utf8
run-parts: executing /etc/kernel/postinst.d/pm-utils 4.8.0-41-generic /boot/vmlinuz-4.8.0-41-generic
run-parts: executing /etc/kernel/postinst.d/zz-update-grub 4.8.0-41-generic /boot/vmlinuz-4.8.0-41-generic
Создание конфигурационного файла grub...
Найден образ linux: /boot/vmlinuz-4.8.0-41-generic
Найден образ initrd: /boot/initrd.img-4.8.0-41-generic
Найден образ linux: /boot/vmlinuz-4.4.0-66-generic
Найден образ initrd: /boot/initrd.img-4.4.0-66-generic
Найден образ linux: /boot/vmlinuz-4.4.0-65-generic
Найден образ initrd: /boot/initrd.img-4.4.0-65-generic
Найден образ linux: /boot/vmlinuz-4.4.0-64-generic
Найден образ initrd: /boot/initrd.img-4.4.0-64-generic
Найден образ linux: /boot/vmlinuz-4.4.0-53-generic
Найден образ initrd: /boot/initrd.img-4.4.0-53-generic
Found memtest86+ image: /boot/memtest86+.elf
Found memtest86+ image: /boot/memtest86+.bin
Найден Windows 8 (loader) на /dev/sda1
завершено
Содержимое файла "/var/lib/dkms/ndiswrapper/1.59/build/make.log"
Код
DKMS make.log for ndiswrapper-1.59 for kernel 4.8.0-41-generic (x86_64)
Ср мар  8 21:42:32 EET 2017
make: вход в каталог «/usr/src/linux-headers-4.8.0-41-generic»
  LD      /var/lib/dkms/ndiswrapper/1.59/build/built-in.o
  MKEXPORT /var/lib/dkms/ndiswrapper/1.59/build/crt_exports.h
  MKEXPORT /var/lib/dkms/ndiswrapper/1.59/build/hal_exports.h
  MKEXPORT /var/lib/dkms/ndiswrapper/1.59/build/ndis_exports.h
  MKEXPORT /var/lib/dkms/ndiswrapper/1.59/build/ntoskernel_exports.h
  MKEXPORT /var/lib/dkms/ndiswrapper/1.59/build/ntoskernel_io_exports.h
  MKEXPORT /var/lib/dkms/ndiswrapper/1.59/build/rtl_exports.h
  MKEXPORT /var/lib/dkms/ndiswrapper/1.59/build/usb_exports.h
  MKSTUBS /var/lib/dkms/ndiswrapper/1.59/build/win2lin_stubs.h
  CC [M]  /var/lib/dkms/ndiswrapper/1.59/build/crt.o
  CC [M]  /var/lib/dkms/ndiswrapper/1.59/build/hal.o
  CC [M]  /var/lib/dkms/ndiswrapper/1.59/build/iw_ndis.o
  CC [M]  /var/lib/dkms/ndiswrapper/1.59/build/loader.o
  CC [M]  /var/lib/dkms/ndiswrapper/1.59/build/ndis.o
  CC [M]  /var/lib/dkms/ndiswrapper/1.59/build/ntoskernel.o
  CC [M]  /var/lib/dkms/ndiswrapper/1.59/build/ntoskernel_io.o
  CC [M]  /var/lib/dkms/ndiswrapper/1.59/build/pe_linker.o
  CC [M]  /var/lib/dkms/ndiswrapper/1.59/build/pnp.o
  CC [M]  /var/lib/dkms/ndiswrapper/1.59/build/proc.o
  CC [M]  /var/lib/dkms/ndiswrapper/1.59/build/rtl.o
  CC [M]  /var/lib/dkms/ndiswrapper/1.59/build/wrapmem.o
  CC [M]  /var/lib/dkms/ndiswrapper/1.59/build/wrapndis.o
/var/lib/dkms/ndiswrapper/1.59/build/wrapndis.c: In function ‘tx_worker’:
/var/lib/dkms/ndiswrapper/1.59/build/wrapndis.c:707:16: error: ‘struct net_device’ has no member named ‘trans_start’
    wnd->net_dev->trans_start = jiffies;
                ^
scripts/Makefile.build:289: ошибка выполнения рецепта для цели «/var/lib/dkms/ndiswrapper/1.59/build/wrapndis.o»
make[1]: *** [/var/lib/dkms/ndiswrapper/1.59/build/wrapndis.o] Ошибка 1
Makefile:1491: ошибка выполнения рецепта для цели «_module_/var/lib/dkms/ndiswrapper/1.59/build»
make: *** [_module_/var/lib/dkms/ndiswrapper/1.59/build] Ошибка 2
make: выход из каталога «/usr/src/linux-headers-4.8.0-41-generic»
0
Лучшие ответы (1)
Надоела реклама? Зарегистрируйтесь и она исчезнет полностью.
Similar
Эксперт
41792 / 34177 / 6122
Регистрация: 12.04.2006
Сообщений: 57,940
08.03.2017, 22:57
Ответы с готовыми решениями:

Ошибка при установке Linux mint
usb: 1 - 3 device descriptor read 64 error 71 Что за проблема может быть?...

Трабл при установке Linux mint 14
При установке просит username + password. в менюале пишет ввести в юзер -...

Ошибка при установке Linux Mint
Записал на DVD образ Linux Mint Cinnamon 17.2 с помощью программы...

При установке linux mint 18.2 не полностью руссифицировался ?
Здравствуйте! Некоторое время использовал linux mint 17.2 Cinnamon на...

Linux Mint - Обновление ядра
Здравствуйте! Насколько безопасно обновлять ядро Linux в менеджере обновлений?...

5
alxius
1 / 1 / 1
Регистрация: 13.02.2017
Сообщений: 21
17.03.2017, 21:29 2
Лучший ответ Сообщение было отмечено lignium как решение

Решение

вы можете использовать новое ядро

но вам придётся либо удалить ndiswrapper и virtualbox-guest пакеты либо обновить их до совместимых с 4.8.0

кстати 4.8.0 сильно устарел, я бы посоветовал 4.9 хотя бы.
1
lignium
4 / 4 / 3
Регистрация: 17.11.2015
Сообщений: 46
18.03.2017, 03:00  [ТС] 3
Спасибо, попробую. 4.8 это самая новая из официальных источников, думаю куда лучше чем 4.4

Добавлено через 34 минуты
Да, получилось! Удалил virtualbox-guest-dkms и ndiswrapper-dkms, ядро поставилось, загружается, проблем нет. Только эти пакеты поставить назад не получается, они по прежнему не собираются. Насколько они важны? Про virtualbox-guest-dkms знаю, что-то нужное для этой VirtualBox, а ndiswrapper-dkms?
0
alxius
1 / 1 / 1
Регистрация: 13.02.2017
Сообщений: 21
18.03.2017, 08:54 4
Virtualbox потеряет лишь такие вещи как "общий буфер обмена" и ещё что то, некритичное для его работы.


ndiswrapper нужен для установки wifi драйверов из Windows, я думаю вам он врятли нужен
иначе бы вы не смогли написать этот пост
за 10 лет пока что ни разу его не использовал. но видимо кому то он нужен.

я вообще использую 4.10 т.к. она даёт лучший результат в паре с АМД картами.
и вообще в целом чувствуется немного быстрее.
но в репозитарии вы её не найдете.
ukuu может вам помочь. либо вручную с kernel mainline ставить.
http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.10.3/

если захотите конечно ещё одно ядро попробовать.
из стадии тестового (RC) оно уже вышло и претерпело уже 3 версии релизных.
0
lignium
4 / 4 / 3
Регистрация: 17.11.2015
Сообщений: 46
18.03.2017, 18:39  [ТС] 5
Там есть 5 deb пакетов, какие именно мне нужны? И еще, там есть версия по-новее, 4.10.4
0
alxius
1 / 1 / 1
Регистрация: 13.02.2017
Сообщений: 21
21.03.2017, 18:18 6
1,2,4 всегда как правило. т.е.те которые БЕЗ i386 ,ну если у вас amd64 конечно
если нет то наоборот i386 вместо amd64

Bash
1
2
3
  linux-headers-4.10.3-041003_4.10.3-041003.201703142331_all.deb
  linux-headers-4.10.3-041003-generic_4.10.3-041003.201703142331_amd64.deb
  linux-image-4.10.3-041003-generic_4.10.3-041003.201703142331_amd64.deb
0
21.03.2017, 18:18
MoreAnswers
Эксперт
37091 / 29110 / 5898
Регистрация: 17.06.2006
Сообщений: 43,301
21.03.2017, 18:18

Mint зависает при установке
Скачал дистрибутив отсюда: Linux Mint Залил на флешку, запустил установку -...

Черный экран при загрузке Linux Mint 17
Добрый день. Решил заняться web-программированием, и так же решил это делать на...

Linux Mint - 12 и Linux Mint Debian
В чем заключается разница между Linux Mint - 12 и Linux Mint Debian. ...


Искать еще темы с ответами

Или воспользуйтесь поиском по форуму:
6
Ответ Создать тему
Опции темы

КиберФорум - форум программистов, компьютерный форум, программирование
Powered by vBulletin® Version 3.8.9
Copyright ©2000 - 2018, vBulletin Solutions, Inc.
Рейтинг@Mail.ru